

#include "kk_log.h"

#include "klist.h"
#include "kk_product.h"
#include "com_api.h"
#include "kk_opcode.h"
#include "kk_lan_ctrl.h"
#include "kk_data_mng.h"

#include "kk_newccu_msg.h"




cJSON *property_info_build(const char *msgtype,const char *productCode,const char *deviceCode)
{
	cJSON *info=cJSON_CreateObject();

	cJSON_AddStringToObject(info, "msgtype", msgtype);
	cJSON_AddStringToObject(info, "productCode",productCode);
	cJSON_AddStringToObject(info, "deviceCode",deviceCode);
	
	return info;
}
cJSON *property_payload_build(const char*method,const char *msgId,const char *version,cJSON *params)
{
	cJSON *payload=cJSON_CreateObject();

	cJSON_AddStringToObject(payload, "msgId",msgId);
	cJSON_AddStringToObject(payload, "version",version);
	cJSON_AddItemToObject(payload,PARAMS_STRING,params);
	cJSON_AddStringToObject(payload, "method",method);
	
	return payload;
}



cJSON * property_set(const char *productCode,const char *deviceCode,const char *msgId,const char *version,cJSON *params)
{
	cJSON *root = cJSON_CreateObject();
	cJSON *info = property_info_build("/thing/service/property/set",productCode,deviceCode);
	cJSON *payload = property_payload_build("thing.service.property.set",msgId,version,params);

	cJSON_AddItemToObject(root,INFO_STRING,info);
	cJSON_AddItemToObject(root,PAYLOAD_STRING,payload);

	return root;
}


cJSON * property_report(const char *productCode,const char *deviceCode,const char *msgId,const char *version,cJSON *params)
{
	cJSON *root=cJSON_CreateObject();
	cJSON *info = property_info_build("/thing/event/{tsl.event.identifier}/post",productCode,deviceCode);
	cJSON *payload = property_payload_build("thing.event.{tsl.event.identifier}.post",msgId,version,params);

	cJSON_AddItemToObject(root,INFO_STRING,info);
	cJSON_AddItemToObject(root,PAYLOAD_STRING,payload);

	return root;
}



























